summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
Diffstat (limited to 't')
-rw-r--r--t/lib-httpd.sh2
-rw-r--r--t/test-lib.sh5
2 files changed, 6 insertions, 1 deletions
diff --git a/t/lib-httpd.sh b/t/lib-httpd.sh
index fd53b57187..d154d1ed1d 100644
--- a/t/lib-httpd.sh
+++ b/t/lib-httpd.sh
@@ -37,7 +37,7 @@ then
test_done
fi
-if ! test_have_prereq SANITY; then
+if ! test_have_prereq NOT_ROOT; then
test_skip_or_die $GIT_TEST_HTTPD \
"Cannot run httpd tests as root"
fi
diff --git a/t/test-lib.sh b/t/test-lib.sh
index a7a4639d7c..b2b2ec7f1c 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -992,6 +992,11 @@ test_lazy_prereq USR_BIN_TIME '
test -x /usr/bin/time
'
+test_lazy_prereq NOT_ROOT '
+ uid=$(id -u) &&
+ test "$uid" != 0
+'
+
# When the tests are run as root, permission tests will report that
# things are writable when they shouldn't be.
test -w / || test_set_prereq SANITY